- Home
- API Enriched
- Ce Management
- maurice
- GET Upgrade Status.
GET Upgrade Status.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/maurice/namespaces/example/sites/example/upgrade_status';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/maurice/namespaces/example/sites/example/upgrade_status \ --header 'Authorization: <Authorization>'API to GET upgrade status of a site.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Fetch upgrade status for the given namespace.
Name Fetch upgrade status for the name of site.
Responses
Section titled “Responses”A successful response.
Response to GET the upgrade status.
object
object
object
Reason for failure.
object
Results of each node in OS Setup.
InstallResult shows the result each application/process.
object
Message of this stage.
Human-readable name for the resource
Type or category classification
Start timestamp of Image download.
object
Configuration parameter for results
object
Name of node.
object
Number of apps that have been upgraded within a level.
Total number of apps to upgrade.
Configuration parameter for results
SiteLevelStageUpgradeResults shows the upgrade status of each stage and applications within the stage.
object
Configuration parameter for applications
StageApplication shows the upgrade status of each application in either site/node level upgrades.
object
Name of stage.
Configuration parameter for objects
ApplicationObj shows the upgrade status of each object in a application in either site/node level upgrades.
object
Configuration parameter for conditions
Condition of object in each phase of installation.
object
Message of action.
Result of action, i.e. Success etc.
Type or category classification
Configuration parameter for debug
Configuration parameter for deploy strategy
Resource type or kind
Human-readable name for the resource
Name of stage.
Start timestamp of Image download.
object
Results of each node in OS Setup.
OSNodeResult shows the result of OS upgrade for each node.
object
Name of node.
Result of each component in each node.
InstallResult shows the result each application/process.
object
Message of this stage.
Human-readable name for the resource
Type or category classification
Start timestamp of OS setup.
Number of retries that has been issued.
Site for this upgrade status, assigned after status is assigned to site.
object
object
Number of apps that have been upgraded within a level.
Total number of apps to upgrade.
Configuration parameter for results
SiteLevelStageUpgradeResults shows the upgrade status of each stage and applications within the stage.
object
Configuration parameter for applications
StageApplication shows the upgrade status of each application in either site/node level upgrades.
object
Name of stage.
Configuration parameter for objects
ApplicationObj shows the upgrade status of each object in a application in either site/node level upgrades.
object
Configuration parameter for conditions
Condition of object in each phase of installation.
object
Message of action.
Result of action, i.e. Success etc.
Type or category classification
Configuration parameter for debug
Configuration parameter for deploy strategy
Resource type or kind
Human-readable name for the resource
Name of stage.
Start timestamp of Image download.
object
String of messages from validation stage.
Start timestamp of Image download.
Version that software is upgrading to.
Example
{ "upgrade_status": { "sw_upgrade_progress": { "image_download": { "results": [ { "status": "UNKNOWN" } ], "status": "UNKNOWN" }, "node_level_upgrade": { "results": [ { "results": [ { "applications": [ { "status": "UNKNOWN" } ], "status": "UNKNOWN" } ], "status": "UNKNOWN" } ], "status": "UNKNOWN" }, "os_setup": { "results": [ { "results": [ { "status": "UNKNOWN" } ], "status": "UNKNOWN" } ], "status": "UNKNOWN" }, "site_level_upgrade": { "results": [ { "applications": [ { "status": "UNKNOWN" } ], "status": "UNKNOWN" } ], "status": "UNKNOWN" }, "status": "UNKNOWN", "validation": { "status": "UNKNOWN" } } }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example